#!/bin/bash

set -eux

if [ $# != 2 ]; then
    echo "Usage: $0 <tag> <First last email>" 1>&2
    exit 1
fi

tag="$1"
email="$2"
date="$(env LANG=C date '+%a %b %d %Y')"

git remote add github git@github.com:ansible-collections/kubernetes.core.git || :
git fetch github
git checkout -b import-"$tag" || git checkout import-"$tag"
git archive --format=tar "$tag" | tar xv --exclude .github --exclude "setup.*" --exclude ansible-collection-kubernetes.spec --exclude MANIFEST.json --exclude FILES.json
git add .
sed -i -e "s/\(Version:\s*\).*/\1$tag/" -e "s/\(Release:\s*\)[0-9]\{1,\}/\11/" -e "s/%changelog/%changelog\n* $date $email $tag-1\n- New Upstream release\n/" ansible-collection-kubernetes-core.spec
git commit -m "imported release $tag" -a

# import-release.sh ends here
